<app-page-header headerTitle="State">
  <app-button text="Back" (onClick)="goToList()"> </app-button>
</app-page-header>
<form [formGroup]="stateForm">
  <app-card>
    <div class="row">
      <div class="col-lg-4 col-sm-12 col-md-4">
        <div class="form-group">
          <label for="SelectCountry" class="form-label"
            >Country<span class="text-danger">*</span></label
          >
          <ng-select appendTo="body"
            [items]="countryList"
            bindLabel="countryName"
            bindValue="id"
            (change)="setCountry()"
            formControlName="countryId"
          >
          </ng-select>
          <div *ngIf="submit && g['countryId'].errors" class="alert-error">
            <div
              *ngIf="submit && g['countryId'].errors['required']"
              class="alert-error"
            >
              Country is required
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-sm-12 col-md-4">
        <div class="form-group">
          <label for="stateName" class="form-label"
            >State Name<span class="text-danger">*</span></label
          >
          <input type="text" class="form-control" formControlName="stateName" />
          <div *ngIf="submit && g['stateName'].errors" class="alert-error">
            <div
              *ngIf="submit && g['stateName'].errors['required']"
              class="alert-error"
            >
              State Name is required
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-sm-12 col-md-4">
        <div class="form-group">
          <label for="stateCode" class="form-label">State Code<span class="text-danger">*</span></label>
          <input type="text" class="form-control" formControlName="stateCode" />
          <div *ngIf="submit  &&  g.stateCode.errors" class="alert-error">
                      <div *ngIf="submit && g.stateCode.errors.required" class="alert-error">
                          State Code is required
                      </div>
                  </div>
        </div>
      </div>
      <div class="col-lg-4 col-sm-12 col-md-4">
        <app-switch label="Status" *ngIf="Id" formControlName="isActive">
        </app-switch>
      </div>
    </div>
  </app-card>
 <div class="text-end my-4 mx-2">
    <app-button text="Submit" *ngIf="!Id" (onClick)="onSubmit($event)"> </app-button>
    <app-button text="Update" *ngIf="Id" (onClick)="onSubmit($event)">
    </app-button>
    <app-button text="Cancel" color="secondary" (onClick)="goToList()"> </app-button>
 </div>
</form>
